%define		PYVER		2.6
%define		__python	python%{PYVER}
%define		PVER		%(echo %{PYVER} | awk -F. '{print$1$2}')
%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%{!?python_sitearch: %define python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}

Distribution:	CCux
Packager:	Christian Wasem <wasem@ccux-linux.de>

Summary:	Assistive Technology Service Provider Interface 
Name:		at-spi
Version:	1.31.1
Release:	1
BuildArch:	i686
License:	GNU/LGPL
URL:		http://developer.gnome.org/projects/gap/
Group:		System/Libraries
Source0:	%{name}-%{version}.tar.bz2
# Transform spaces to tabs or make 3.82 bails out
Patch0:		at-spi-makefile-fix-spaces.patch
BuildRoot:	%{_tmppath}/%{name}-buildroot

BuildRequires: expat-devel
BuildRequires: libpng-devel
BuildRequires: libXrender-devel
BuildRequires: python26-devel
BuildRequires: zlib-devel popt-devel

#Automatically resolved build dependencies
BuildRequires: atk-devel
BuildRequires: cairo-devel
BuildRequires: dbus-devel
BuildRequires: dbus-glib-devel
BuildRequires: fontconfig-devel
BuildRequires: freetype-devel
BuildRequires: GConf-devel
BuildRequires: gdk-pixbuf-devel
BuildRequires: glibc-devel
BuildRequires: glib-devel
BuildRequires: gtk2+-devel
BuildRequires: libbonobo-devel
BuildRequires: libICE-devel
BuildRequires: libSM-devel
BuildRequires: libX11-devel
BuildRequires: libXtst-devel
BuildRequires: ORBit2-devel
BuildRequires: pango-devel
BuildRequires: pkg-config

%description
at-spi allows assistive technologies to access GTK-based
applications. Essentially it exposes the internals of applications for
automation, so tools such as screen readers, magnifiers, or even
scripting interfaces can query and interact with GUI controls.

%package	devel
Summary:	Development libraries and headers for at-spi
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	gtk2+-devel
Requires:	libbonobo-devel
Requires:	ORBit2-devel
Requires:	gail-devel
Requires:	pkg-config

%description	devel
Libraries and header files allowing compilation of apps that use at-spi.

%prep
%setup -q
%patch0 -p1

%build
%configure --disable-gtk-doc --disable-static PYTHON=/usr/bin/python%{PYVER}
make

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

rm -f $RPM_BUILD_ROOT%{_libdir}/gtk-2.0/modules/*.la
rm -f $RPM_BUILD_ROOT%{_libdir}/orbit-2.0/*.la

mv $RPM_BUILD_ROOT%{_datadir}/doc/%{name}-%{version} \
   $RPM_BUILD_ROOT%{_datadir}/doc/%{name}-devel-%{version}

%pre
if [ "$1" -gt 1 -a -f %{_sysconfdir}/gconf/schemas/at-spi.schemas ]; then
  export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
  gconftool-2 --makefile-uninstall-rule %{_sysconfdir}/gconf/schemas/at-spi.schemas >& /dev/null || :
fi

%preun
if [ "$1" -eq 0 ]; then
  export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
  gconftool-2 --makefile-uninstall-rule %{_sysconfdir}/gconf/schemas/at-spi.schemas >& /dev/null || :
fi

%post
/sbin/ldconfig
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-install-rule %{_sysconfdir}/gconf/schemas/at-spi.schemas >& /dev/null || :


%postun -p /sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc AUTHORS COPYING NEWS README
%{_sysconfdir}/gconf/schemas/at-spi.schemas
%{_sysconfdir}/xdg/autostart/at-spi-registryd.desktop
%{_libdir}/bonobo/servers/Accessibility_Registry.server
%{_libdir}exec/at-spi-registryd
%{_libdir}/gtk-2.0/modules/at-spi-corba/modules/libatk-bridge.so
%{_libdir}/libcspi.so.*
%{_libdir}/libloginhelper.so.*
%{_libdir}/libspi.so.*
%{_libdir}/orbit-2.0/Accessibility_LoginHelper_module.so
%{_libdir}/orbit-2.0/Accessibility_module.so
%{_libdir}/python2.6/site-packages/pyatspi_corba
%{_locale}/*/LC_MESSAGES/at-spi.mo

%files devel
%defattr(-,root,root)
%{_includedir}/at-spi-1.0
%{_libdir}/gtk-2.0/modules/at-spi-corba/modules/libatk-bridge.la
%{_libdir}/libcspi.la
%{_libdir}/libcspi.so
%{_libdir}/libloginhelper.la
%{_libdir}/libloginhelper.so
%{_libdir}/libspi.la
%{_libdir}/libspi.so
%{_pkgconfig}/cspi-1.0.pc
%{_pkgconfig}/libloginhelper-1.0.pc
%{_pkgconfig}/libspi-1.0.pc
%{_docdir}/at-spi-devel-%{version}
%{_datadir}/gtk-doc/html/at-spi-cspi
%{_datadir}/idl/at-spi-1.0

%changelog
* Sun Aug 29 2010 Karsten Brockmann <arcam@ccux-linux.de> 1.31.1-1
- Version update
* Sun Nov 22 2009 Christian Metzen <metzench@ccux-linux.de> 1.28.1-1
- Version update
* Tue Apr 07 2009 Christian Metzen <metzench@ccux-linux.de> 1.26.0-2
- fixed sysconfdir location
* Sun Mar 29 2009 Christian Wasem <wasem@ccux-linux.de> 1.26.0-1
- Version update
* Wed Jan 09 2008 Christian Metzen <metzench@ccux-linux.de> 1.21.3-1
- Version update, moved libexecdir
* Mon Oct 01 2007 Christian Metzen <metzench@ccux-linux.de> 1.20.0-1
- Version update
* Tue Mar 19 2007 Christian Metzen <metzench@ccux-linux.de> 1.18.0-1
- Version update
* Tue Nov 07 2006 Christian Metzen <metzench@ccux-linux.de> 1.7.12-4
- rebuild, moved libexec
* Sun Nov 05 2006 Christian Metzen <metzench@ccux-linux.de> 1.7.12-3
- added removel of wrong symlink
* Sun Nov 05 2006 Christian Metzen <metzench@ccux-linux.de> 1.7.12-2
- rebuild
* Sun Nov 05 2006 Christian Metzen <metzench@ccux-linux.de> 1.7.12-1
- Version update, moved prefix
* Wed Aug 23 2006 Karsten Brockmann <arcam@ccux-linux.de> 1.7.11-1
- Version Update
* Thu May 18 2006 Christian Wasem <wasem@ccux-linux.de> 1.7.7-1
- Initial Release
